type Product {
	id: ID
	name: String
	stock: Int
	price: Float
	createAt: String
}

input ProductInput {
	name: String!
	stock: Int!
	price: Float!
}

type Query {
	getProducts: [Product]
	getProduct(id: ID!): Product
	getProductsByName(name: String!): [Product]
}

type Mutation {
	saveProduct(input: ProductInput!): Product
	updateProduct(id: ID!, input: ProductInput!): Product
	deleteProduct(id: ID!): Product
}
